<script setup>
import { ref } from "vue";
const props = defineProps({
  offset: {
      type: Array,
      default() {
        return [0, 0];
      },
    },
    points: {
      type: Array,
      default() {
        return [
          [0, 0],
          [10, 10],
        ];
      },
    },
    color: {
      type: String,
      default: "#804000",
    },
    dotIndexs: {
      type: Array,
      default() {
        return [0]
      }
    },
    dotR: {
      type: [Number, String],
      default: 4
    }
});

</script>

<template>
<g
    ref="g"
    :transform="'translate(' + offset.join(',') + ')'"
  >
    <polyline
      :points="points.join(' ')"
      stroke-dasharray="4,2"
      :stroke="color"
      style="fill: none; stroke-width: 2"
    />
  </g>
</template>

<style scoped lang="less">

</style>